%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  taxonomizr
%global packver   0.10.7
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.10.7
Release:          1%{?dist}%{?buildtag}
Summary:          Functions to Work with NCBI Accessions and Taxonomy

License:          GPL (>= 2) | file LICENSE
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.0.0
Requires:         R-core >= 3.0.0
BuildRequires:    R-CRAN-curl >= 5.0.0
BuildRequires:    R-CRAN-RSQLite 
BuildRequires:    R-CRAN-R.utils 
BuildRequires:    R-CRAN-data.table 
Requires:         R-CRAN-curl >= 5.0.0
Requires:         R-CRAN-RSQLite 
Requires:         R-CRAN-R.utils 
Requires:         R-CRAN-data.table 

%description
Functions for assigning taxonomy to NCBI accession numbers and taxon IDs
based on NCBI's accession2taxid and taxdump files. This package allows the
user to download NCBI data dumps and create a local database for fast and
local taxonomic assignment.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
